---
id: 68f3f890010c870e17bbe754
title: Step 11
challengeType: 1
dashedName: step-11
---

# --description--

Now it is time to see the results.

Below your `upperCaseInput` variable, add a `console.log()` with the string `"Result of using the toUpperCase() method:"`. 

Then below that `console.log()`, add another `console.log()` with the `upperCaseInput` variable.

# --before-each--

```js
const spy = __helpers.spyOn(console, 'log');
const getLogs = () => spy.calls.map(call => call?.[0]);
```

# --hints--

You should log the string `"Result of using the toUpperCase() method:"` to the console.

```js
assert.equal(getLogs()[8], "Result of using the toUpperCase() method:");
```

You should log the `upperCaseInput` variable to the console.

```js
assert.equal(getLogs()[9], upperCaseInput);
```

# --seed--

## --seed-contents--

```js
const userInput = "   Hello World!   ";
console.log("Original input:");
console.log(userInput);

const cleanedInput = userInput.trim();
console.log("Result of trimming whitespace from both ends:");
console.log(cleanedInput);

const trimmedStart = userInput.trimStart();
console.log("After using the trimStart() method, leading spaces removed:");
console.log(trimmedStart);

const trimmedEnd = userInput.trimEnd();
console.log("After using the trimEnd() method, trailing spaces removed:");
console.log(trimmedEnd);

const upperCaseInput = cleanedInput.toUpperCase();
--fcc-editable-region--

--fcc-editable-region--
```
